Name:           python-ibm-watson
Version:        10.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Client library to use the IBM Watson Services

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/watson-developer-cloud/python-sdk
Source:         %{pypi_source ibm_watson}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ibm-watson' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ibm-watson
Summary:        %{summary}

%description -n python3-ibm-watson %_description


%prep
%autosetup -p1 -n ibm_watson-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ibm-watson -f %{pyproject_files}


%changelog
%autochangelog